make object! [

	handle: func [ rssversion /local rsstmpl sequ item libdj stpl itpl stpl-col itpl-col] [
		
		either = selector "display-asis" [
		
		
			day-limit: 10
			space-url: "http://taggy.karner.ws/space/"
			libdj: do load to-file rejoin [ app-dir "dj2/" "libdj2.r" ]
			xmlheader: "Content-Type: text/xml^/"
			print xmlheader
			day-snips: sort libdj/get-daysnips
			reverse day-snips
			day-snips: copy/part day-snips day-limit
                	
				foreach date day-snips[
	        		
				
					byte: complement charset []
                		
				remove-each snip items: space-dir [
				    ;not parse snip [ date #"-" some byte ] ; this would expand day to dj2-items
				    not parse snip [ date ]
				]
        			
				template: space-get "template-rss-item"
				rendered-items: ""
				foreach item items[
					append rendered-items expand-item (copy template) item
				]
			]
			template: space-get "template-rss"
			replace/all template "[items]" rendered-items		
	
		
		]
		[
			return rejoin ["<a href=^"" vanilla-get-url "?selector=display-asis&snip=" snip "^">display rss feed</a>"]
		] 
	]
	
	expand-item: func [ template item /local u a tmp title date] [
		template: expand-snip template item
        	
		
		date: copy/part item 10
		title: skip item 11
		replace/all template "[title]" rejoin [date title]
		replace/all template "[link]" rejoin [space-url item]
		template   
	]
 
    	expand-snip: func [ template snipname /local meta temp ] [
		meta: space-meta-get-all snipname
        		
		temp: esc-to-meta html-format space-expand esc-to-meta space-get snipname
		replace/all temp "&" "&amp;"
		replace/all temp "<" "&lt;"
		replace/all temp ">" "&gt;"	
        		
		replace/all template "[content]" temp
		meta-to-html template
    	]
]   
    
    
    
    
    
    
    
    
    